Docentry Batch create doc entries
POST
/control-plane/api/v1/v1/documentation/{organization_id}/{documentation_id}/version/{version_id}/section/{section_id}/entry/batch

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


version_idstringrequired

Version ID


section_idstringrequired

Section ID


Request Body

Batch entries input

Required

entriesobject[]required

Example:

{
  "entries": [
    {
      "content": "string",
      "endpoint": "string",
      "icon": "string",
      "metadata": {
        "author": "string",
        "author_avatar": "string",
        "description": "string",
        "last_edited_by": "string",
        "published_at": "string",
        "reading_time": 0,
        "release": {
          "html_url": "...",
          "is_prerelease": "...",
          "release_id": "...",
          "tag_name": "..."
        },
        "tags": [
          "..."
        ]
      },
      "metadata_visibility": {
        "show_author": true,
        "show_publish_date": true,
        "show_reading_time": true,
        "show_tags": true,
        "show_update_date": true
      },
      "method": "GET",
      "order": 0,
      "parent_id": "string",
      "parent_slug": "string",
      "slug": "string"
    }
  ]
}

Responses

201
Created

Response Fields:

  • created (integer)

  • entries (object[])

Example:

{
  "created": 0,
  "entries": [
    {
      "content": "string",
      "created_at": "string",
      "endpoint": "string",
      "icon": "string",
      "id": "string",
      "metadata": {
        "author": "string",
        "author_avatar": "string",
        "description": "string",
        "last_edited_by": "string",
        "published_at": "string",
        "reading_time": 0,
        "release": {
          "html_url": "...",
          "is_prerelease": "...",
          "release_id": "...",
          "tag_name": "..."
        },
        "tags": [
          "..."
        ]
      },
      "metadata_visibility": {
        "show_author": true,
        "show_publish_date": true,
        "show_reading_time": true,
        "show_tags": true,
        "show_update_date": true
      },
      "method": "GET",
      "order": 0,
      "parent_id": "string"
    }
  ]
}
400
Bad Request

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}